emacs23-x crashed with SIGABRT in __kernel_vsyscall()

Bug #795373 reported by Dave Cao on 2011-06-10
74
This bug affects 15 people
Affects Status Importance Assigned to Milestone
emacs23 (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: emacs23

Once I starting emacs 23, the OS always automatically back to the login window. I had been tried to use ubuntu 10.04,11.04 and 11.10. But the problem is still not resolved. And the NIVIDIA driver had also been updated to 270. 41.19.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: emacs23 23.3+1-1ubuntu1
ProcVersionSignature: Ubuntu 2.6.39-3.10-generic-pae 2.6.39
Uname: Linux 2.6.39-3-generic-pae i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Fri Jun 10 11:35:35 2011
ExecutablePath: /usr/bin/emacs23-x
ProcCmdline: /usr/bin/emacs23
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 6
SourcePackage: emacs23
StacktraceTop:
 __kernel_vsyscall ()
 kill () at ../sysdeps/unix/syscall-template.S:82
 abort ()
 ?? ()
 ?? ()
Title: emacs23-x crashed with SIGABRT in __kernel_vsyscall()
UpgradeStatus: Upgraded to oneiric on 2011-06-07 (2 days ago)
UserGroups: adm admin audio cdrom dialout lpadmin plugdev pulse pulse-access sambashare

Dave Cao (caotiger) wrote :

StacktraceTop:
 ?? () from /usr/lib/libgtk-x11-2.0.so.0
 kill () at ../sysdeps/unix/syscall-template.S:82
 abort () at emacs.c:431
 check_glyph_memory () at dispnew.c:2614
 shut_down_emacs (sig=0, no_x=0, stuff=138520842) at emacs.c:2231

Changed in emacs23 (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
visibility: private → public
Changed in emacs23 (Ubuntu):
status: New → Confirmed
David A. Cobb (superbiskit) wrote :

This one positively drives me nuts!
When I first started seeing it, I gave up using emacs-x. Instead, I have been running :emacs -nw" within a terminal. That works just fine.
Yesterday (Wed, 03 Aug), more or less by error, I typed "emacs" in the terminal. Behold! Up comes the X emacs display.
I tried it twice to verify that I had not imagined it. It was real.
Today, I tried it and it again crashes -- it takes my gdm session down with it and I need to log in again.

Here are a couple of other things I've tried.
Boot into Single mode.
type STARTX. Get the generic X-windows desktop.
Launch emacs.
IT WORKS!

Still in Single mode,
type GDM. Get a gdm greeter. Log in.
Launch emacs.
IT WORKS!

SO, this would seem to relate to something that may (or perhaps not) be running when in multi-user mode.

Next trick is to build a local emacs with debugging symbols and source, and try launching it in DDD. I don't have a lot of hope for that, because the stacktrace seems to indicate the SIGABRT originates in the GTK library.

David A. Cobb (superbiskit) wrote :

Maybe there's something useful in the attachments.

This is why programmers drink!! There is no discernible difference between days when it works and days when it blows my system up. Today (9/08) it seems to be working -- launched from a .desktop file, as "emacs ~ -f shell %F "

skipper (attila-egri-nagy) wrote :

I got the apport message about the crash when my laptop was waking up from suspend mode. And strangely, the running emacs session did not seem to be affected at all.

Chris (chris-morrone) wrote :

Tell me what you need me to do to help debug this. X crashes and dumps me back at a login screen any time I run either emacs or xemacs (I would not have thought they would both have the same problem, unless perhaps it is some shared library that they use).

It is 100% reproducible for me.

Architecture: amd64
DistroRelease: Ubuntu 12.04
NonfreeKernelModules: nvidia
Package: emacs23 23.3+1-1ubuntu9
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13

I didn't have this problem under 11.10, but since upgrading to the 12.04 beta (and I'm fully apt-get upgraded as of today), I'm stuck with emacs -nw.

Stack trace is unhelpful

Stacktrace:
 #0 0x00007f0ade57d727 in ?? ()
 No symbol table info available.
 Cannot access memory at address 0x7fff0b4ebb78

But it apport report the same "emacs23-x crashed with SIGABRT" title.

Chris (chris-morrone) wrote :

Running emacs as root, I was able to get a backtrace in Xorgs.log. Looks like my problem may be a duplicate of bug #738526

Yongbiao Long (abellong) wrote :

I meet the same problem today. I buyed another monitor for my laptop installing ubuntu 12.04. Configure it right. Emacs seems to work at first. I don't know when X began to crash once I launch emacs. Thank Chris pointing bug #738526. Uninstalling the xfs package fixed the problem.

Architecture: i386
DistroRelease: Ubuntu 12.04
NonfreeKernelModules: nvidia (nvidia-current 295.33-0ubuntu1)
Package: emacs23 23.3+1-1ubuntu9
ProcVersionSignature: Ubuntu 3.2.0-22.35-generic 3.2.14

Also for me, uninstalling xfs fixed this problem.

On Mon, Apr 9, 2012 at 14:26, abellong <email address hidden> wrote:
> I meet the same problem today. I buyed another monitor for my laptop
> installing ubuntu 12.04. Configure it right. Emacs seems to work at
> first. I don't know when X began to crash once I launch emacs. Thank
> Chris pointing bug #738526. Uninstalling the xfs package fixed the
> problem.
>
> Architecture: i386
> DistroRelease: Ubuntu 12.04
> NonfreeKernelModules: nvidia (nvidia-current 295.33-0ubuntu1)
> Package: emacs23 23.3+1-1ubuntu9
> ProcVersionSignature: Ubuntu 3.2.0-22.35-generic 3.2.14
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/795373
>
> Title:
>  emacs23-x crashed with SIGABRT in __kernel_vsyscall()
>
> Status in “emacs23” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: emacs23
>
>  Once I starting emacs 23, the OS always automatically back to the
>  login window. I had been tried to use ubuntu 10.04,11.04 and 11.10.
>  But the problem is still not resolved. And the NIVIDIA driver had also
>  been updated to 270. 41.19.
>
>  ProblemType: Crash
>  DistroRelease: Ubuntu 11.10
>  Package: emacs23 23.3+1-1ubuntu1
>  ProcVersionSignature: Ubuntu 2.6.39-3.10-generic-pae 2.6.39
>  Uname: Linux 2.6.39-3-generic-pae i686
>  NonfreeKernelModules: nvidia
>  Architecture: i386
>  Date: Fri Jun 10 11:35:35 2011
>  ExecutablePath: /usr/bin/emacs23-x
>  ProcCmdline: /usr/bin/emacs23
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   PATH=(custom, no user)
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  Signal: 6
>  SourcePackage: emacs23
>  StacktraceTop:
>   __kernel_vsyscall ()
>   kill () at ../sysdeps/unix/syscall-template.S:82
>   abort ()
>   ?? ()
>   ?? ()
>  Title: emacs23-x crashed with SIGABRT in __kernel_vsyscall()
>  UpgradeStatus: Upgraded to oneiric on 2011-06-07 (2 days ago)
>  UserGroups: adm admin audio cdrom dialout lpadmin plugdev pulse pulse-access sambashare
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/emacs23/+bug/795373/+subscriptions

sudodus (nio-wiklund) wrote :

I recently upgraded from Ubuntu 10.04 LTS to Ubuntu 12.04 LTS.

Emacs and also some other programs caused exit back to the login screen. I'm glad, that I found this bug report, because I can also fix the problem uninstalling xfs :-)

Uninstalling xfs, for example by simply using Synaptic (search on 'xfs', and do 'Remove' (but not 'Remove Completely'), worked for me on Ubuntu 12.04 LTS all-up-to-date as of now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers